Subject: Re: [bug-idutils] bug#29092: bug#29092: bug#29092: bug#29092: Bug related to 64-bit inodes

From: Jim Meyering <[email-masked]>
Date: Sat, 6 Jan 2018 17:02:43 -0800

On Sat, Jan 6, 2018 at 4:56 PM, Jim Meyering <[email-masked]> wrote:
> On Fri, Jan 5, 2018 at 8:27 PM, Jim Meyering <[email-masked]> wrote:
>> On Mon, Dec 18, 2017 at 8:36 PM, Jim Meyering <[email-masked]> wrote:
>>> On Mon, Dec 18, 2017 at 3:31 PM, Curt McDowell <[email-masked]> wrote:
>>>> Jim,
>>>>
>>>> Thanks for getting to this. I applied the patch and was surprised to see it
>>>> still has the same bug! There is another comparison function that needs
>>>> fixing. I verified that 64-bit inodes work properly with this additional
>>>> change:
>>>>
>>>> static int
>>>> dev_ino_hash_compare (void const *x, void const *y)
>>>> {
>>>>   int result;
>>>>   result = memcmp(&((struct dev_ino const *) x)->di_ino,
>>>>                   &((struct dev_ino const *) y)->di_ino, sizeof (ino_t));
>>>>   if (result)
>>>>     return result;
>>>>   result = memcmp(&((struct dev_ino const *) x)->di_dev,
>>>>                   &((struct dev_ino const *) y)->di_dev, sizeof (ino_t));
>>>>   return result;
>>>> }
>>>
>>> Thank you for the quick testing and patch.
>>>
>>> I've simplified that but left it in your name. However, since it's
>>> still in your name, yet modified, I'll wait for your ACK before
>>> pushing (check both author-name+email and wording of the commit log as
>>> well as the actual patch, since we treat master-pushed commits as
>>> immutable):
>>
>> Ping?
>
> Pushed, in spite of no reply.

Incidentally, I've just updated gnulib and copyright notices, too.
Marking this as "done".